org.eclipse.rdf4j.workbench.util

## Class CookieHandler

- java.lang.Object
- - org.eclipse.rdf4j.workbench.util.CookieHandler

-     public class CookieHandler
      extends Object

  Handles cookies for TransformationServlet.
  Author:
    Dale Visser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieHandler(javax.servlet.ServletConfig config, TransformationServlet servlet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCookie(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String name, String value)`
    `void` | `addTotalResultCountCookie(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, int value)` Add a 'total_result_count' cookie.
    `void` | `updateCookies(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieHandler

          public CookieHandler(javax.servlet.ServletConfig config,
                               TransformationServlet servlet)

  - ### Method Detail

    - #### updateCookies

          public void updateCookies(WorkbenchRequest req,
                                    javax.servlet.http.HttpServletResponse resp)
                             throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### addTotalResultCountCookie

          public void addTotalResultCountCookie(WorkbenchRequest req,
                                                javax.servlet.http.HttpServletResponse resp,
                                                int value)

      Add a 'total_result_count' cookie. Used by both QueryServlet and ExploreServlet.
      Parameters:
        `req` - the request object
        `resp` - the response object

    - #### addCookie

          public void addCookie(WorkbenchRequest req,
                                javax.servlet.http.HttpServletResponse resp,
                                String name,
                                String value)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.